// vim: set tw=80 ts=2 sw=2 sts=2:

import { Injectable } from '@angular/core';
import { HttpClient, HttpParams } from '@angular/common/http';

import { Observable } from 'rxjs/Rx';

import { DailyBalance } from './dailyBalance';

@Injectable()
export class DailyBalanceService {
  constructor(
    private http: HttpClient
  ) {}

  query(id: number): Observable<DailyBalance[]> {
    return this.http.get<DailyBalance[]>(`/api/account/${id}/daily_balances`);
  }
}
